Subject: Re: bug#9323: Non-recursive make build systems and M-x compile

From: Reuben Thomas <[email-masked]>
Date: Sat, 20 Aug 2011 06:20:57 +0100

On 20 August 2011 00:30, Andreas Schwab <[email-masked]> wrote:
> Reuben Thomas <[email-masked]> writes:
>
>> Note that it has set default-directory to the directory of main.c, not
>> its parent.
>
> It doesn't matter.  Emacs will see the directory in the entering
> message and adjust:
>
> make: Entering directory `/home/rrt/Software/zile-stable'

I used -s as an argument to make (I am sorry, I see I didn't mention
this), and in this case make does not produce those messages. Hence,
"cd ..; make -k -s" works, but "make -C .. -k -s" doesn't.

So, it still seems worth documenting Emacs's ability to work around
this problem by parsing "cd ..".

-- 
http://rrt.sc3d.org